DECLARE @Uid AS VARCHAR(20)
DECLARE @Id_Funcionalidad AS INT
DECLARE @Id_FuncionalidadAbuelo AS INT

SELECT TOP 1 @Uid = uid FROM gen_config

--Permiso para OT
SELECT TOP 1 @Id_FuncionalidadAbuelo = id FROM [gui_funcionalidad] WHERE nombreControl = 'doc_documento_ot' AND id_tipoFuncionalidad = 3 AND url LIKE '/forms/doc/doc_documento_ot.aspx%'
SELECT @Id_Funcionalidad = id FROM [gui_funcionalidad] WHERE id_funcionalidad = @Id_FuncionalidadAbuelo AND url = '/forms/doc/itemdocumento.aspx' AND nombreComando = 'planear' AND id_tipoFuncionalidad = 2
IF NOT EXISTS (SELECT 1 FROM [gui_funcionalidad] WHERE funcionalidad = 'Editar margen' AND esMenu = 0 AND nombreControl = 'doc_documento.ot' AND nombreComando = 'editarMargen' AND id_funcionalidad = @Id_Funcionalidad AND id_tipoFuncionalidad = 5)
BEGIN
	EXEC ins_gui_funcionalidad @Uid, '01', 1, 1, 'Editar margen', '', '', '', '', '', '', 0, 'doc_documento.ot', 'editarMargen', 0, @Id_Funcionalidad, 5, 0, 1
END

IF NOT EXISTS (SELECT 1 FROM [gui_funcionalidad] WHERE funcionalidad = 'Mostrar margen' AND esMenu = 0 AND nombreControl = 'doc_documento.ot' AND nombreComando = 'mostrarMargen' AND id_funcionalidad = @Id_Funcionalidad AND id_tipoFuncionalidad = 5)
BEGIN
	EXEC ins_gui_funcionalidad @Uid, '01', 1, 1, 'Mostrar margen', '', '', '', '', '', '', 0, 'doc_documento.ot', 'mostrarMargen', 0, @Id_Funcionalidad, 5, 0, 1
END

--Permiso para Cotización
SELECT TOP 1 @Id_FuncionalidadAbuelo = id FROM [gui_funcionalidad] WHERE nombreControl = 'doc_documento_cotizacion' AND id_tipoFuncionalidad = 3 AND url LIKE '/forms/doc/doc_documento_cotizacion.aspx%'
SELECT @Id_Funcionalidad = id FROM [gui_funcionalidad] WHERE id_funcionalidad = @Id_FuncionalidadAbuelo AND url = '/forms/doc/itemdocumento.aspx' AND nombreComando = 'itemDocumento' AND id_tipoFuncionalidad = 2
IF NOT EXISTS (SELECT 1 FROM [gui_funcionalidad] WHERE funcionalidad = 'Editar margen' AND esMenu = 0 AND nombreControl = 'doc_documento.cotizacion' AND nombreComando = 'editarMargen' AND id_funcionalidad = @Id_Funcionalidad AND id_tipoFuncionalidad = 5)
BEGIN
	EXEC ins_gui_funcionalidad @Uid, '01', 1, 1, 'Editar margen', '', '', '', '', '', '', 0, 'doc_documento.cotizacion', 'editarMargen', 0, @Id_Funcionalidad, 5, 0, 1
END

IF NOT EXISTS (SELECT 1 FROM [gui_funcionalidad] WHERE funcionalidad = 'Mostrar margen' AND esMenu = 0 AND nombreControl = 'doc_documento.cotizacion' AND nombreComando = 'mostrarMargen' AND id_funcionalidad = @Id_Funcionalidad AND id_tipoFuncionalidad = 5)
BEGIN
	EXEC ins_gui_funcionalidad @Uid, '01', 1, 1, 'Mostrar margen', '', '', '', '', '', '', 0, 'doc_documento.cotizacion', 'mostrarMargen', 0, @Id_Funcionalidad, 5, 0, 1
END

--Permiso para Orden Compra
SELECT TOP 1 @Id_FuncionalidadAbuelo = id FROM [gui_funcionalidad] WHERE nombreControl = 'doc_documento_ordenCompra' AND id_tipoFuncionalidad = 3 AND url LIKE '/forms/doc/doc_documento_ordenCompra.aspx%'
SELECT @Id_Funcionalidad = id FROM [gui_funcionalidad] WHERE id_funcionalidad = @Id_FuncionalidadAbuelo AND url = '/forms/doc/itemdocumento.aspx' AND nombreComando = 'itemDocumento' AND id_tipoFuncionalidad = 2
IF NOT EXISTS (SELECT 1 FROM [gui_funcionalidad] WHERE funcionalidad = 'Editar margen' AND esMenu = 0 AND nombreControl = 'doc_documento.ordenCompra' AND nombreComando = 'editarMargen' AND id_funcionalidad = @Id_Funcionalidad AND id_tipoFuncionalidad = 5)
BEGIN
	EXEC ins_gui_funcionalidad @Uid, '01', 1, 1, 'Editar margen', '', '', '', '', '', '', 0, 'doc_documento.ordenCompra', 'editarMargen', 0, @Id_Funcionalidad, 5, 0, 1
END

IF NOT EXISTS (SELECT 1 FROM [gui_funcionalidad] WHERE funcionalidad = 'Mostrar margen' AND esMenu = 0 AND nombreControl = 'doc_documento.ordenCompra' AND nombreComando = 'mostrarMargen' AND id_funcionalidad = @Id_Funcionalidad AND id_tipoFuncionalidad = 5)
BEGIN
	EXEC ins_gui_funcionalidad @Uid, '01', 1, 1, 'Mostrar margen', '', '', '', '', '', '', 0, 'doc_documento.ordenCompra', 'mostrarMargen', 0, @Id_Funcionalidad, 5, 0, 1
END

--Permiso para Requisición
SELECT TOP 1 @Id_FuncionalidadAbuelo = id FROM [gui_funcionalidad] WHERE nombreControl = 'doc_documento_requisicion' AND id_tipoFuncionalidad = 3 AND url LIKE '/forms/doc/doc_documento_requisicion.aspx%'
SELECT @Id_Funcionalidad = id FROM [gui_funcionalidad] WHERE id_funcionalidad = @Id_FuncionalidadAbuelo AND url = '/forms/doc/itemdocumento.aspx' AND nombreComando = 'itemDocumento' AND id_tipoFuncionalidad = 2
IF NOT EXISTS (SELECT 1 FROM [gui_funcionalidad] WHERE funcionalidad = 'Editar margen' AND esMenu = 0 AND nombreControl = 'doc_documento.requisicion' AND nombreComando = 'editarMargen' AND id_funcionalidad = @Id_Funcionalidad AND id_tipoFuncionalidad = 5)
BEGIN
	EXEC ins_gui_funcionalidad @Uid, '01', 1, 1, 'Editar margen', '', '', '', '', '', '', 0, 'doc_documento.requisicion', 'editarMargen', 0, @Id_Funcionalidad, 5, 0, 1
END

IF NOT EXISTS (SELECT 1 FROM [gui_funcionalidad] WHERE funcionalidad = 'Mostrar margen' AND esMenu = 0 AND nombreControl = 'doc_documento.cotizacion' AND nombreComando = 'mostrarMargen' AND id_funcionalidad = @Id_Funcionalidad AND id_tipoFuncionalidad = 5)
BEGIN
	EXEC ins_gui_funcionalidad @Uid, '01', 1, 1, 'Mostrar margen', '', '', '', '', '', '', 0, 'doc_documento.cotizacion', 'mostrarMargen', 0, @Id_Funcionalidad, 5, 0, 1
END

--Permiso para Entrada
SELECT TOP 1 @Id_FuncionalidadAbuelo = id FROM [gui_funcionalidad] WHERE nombreControl = 'doc_documento_entrada' AND id_tipoFuncionalidad = 3 AND url LIKE '/forms/doc/doc_documento_entrada.aspx%'
SELECT @Id_Funcionalidad = id FROM [gui_funcionalidad] WHERE id_funcionalidad = @Id_FuncionalidadAbuelo AND url = '/forms/doc/itemdocumento.aspx' AND nombreComando = 'itemDocumento' AND id_tipoFuncionalidad = 2
IF NOT EXISTS (SELECT 1 FROM [gui_funcionalidad] WHERE funcionalidad = 'Editar margen' AND esMenu = 0 AND nombreControl = 'doc_documento.entrada' AND nombreComando = 'editarMargen' AND id_funcionalidad = @Id_Funcionalidad AND id_tipoFuncionalidad = 5)
BEGIN
	EXEC ins_gui_funcionalidad @Uid, '01', 1, 1, 'Editar margen', '', '', '', '', '', '', 0, 'doc_documento.entrada', 'editarMargen', 0, @Id_Funcionalidad, 5, 0, 1
END

IF NOT EXISTS (SELECT 1 FROM [gui_funcionalidad] WHERE funcionalidad = 'Mostrar margen' AND esMenu = 0 AND nombreControl = 'doc_documento.entrada' AND nombreComando = 'mostrarMargen' AND id_funcionalidad = @Id_Funcionalidad AND id_tipoFuncionalidad = 5)
BEGIN
	EXEC ins_gui_funcionalidad @Uid, '01', 1, 1, 'Mostrar margen', '', '', '', '', '', '', 0, 'doc_documento.entrada', 'mostrarMargen', 0, @Id_Funcionalidad, 5, 0, 1
END

--Permiso para Salida
SELECT TOP 1 @Id_FuncionalidadAbuelo = id FROM [gui_funcionalidad] WHERE nombreControl = 'doc_documento_salida' AND id_tipoFuncionalidad = 3 AND url LIKE '/forms/doc/doc_documento_salida.aspx%'
SELECT @Id_Funcionalidad = id FROM [gui_funcionalidad] WHERE id_funcionalidad = @Id_FuncionalidadAbuelo AND url = '/forms/doc/itemdocumento.aspx' AND nombreComando = 'itemDocumento' AND id_tipoFuncionalidad = 2
IF NOT EXISTS (SELECT 1 FROM [gui_funcionalidad] WHERE funcionalidad = 'Editar margen' AND esMenu = 0 AND nombreControl = 'doc_documento.salida' AND nombreComando = 'editarMargen' AND id_funcionalidad = @Id_Funcionalidad AND id_tipoFuncionalidad = 5)
BEGIN
	EXEC ins_gui_funcionalidad @Uid, '01', 1, 1, 'Editar margen', '', '', '', '', '', '', 0, 'doc_documento.salida', 'editarMargen', 0, @Id_Funcionalidad, 5, 0, 1
END

IF NOT EXISTS (SELECT 1 FROM [gui_funcionalidad] WHERE funcionalidad = 'Mostrar margen' AND esMenu = 0 AND nombreControl = 'doc_documento.salida' AND nombreComando = 'mostrarMargen' AND id_funcionalidad = @Id_Funcionalidad AND id_tipoFuncionalidad = 5)
BEGIN
	EXEC ins_gui_funcionalidad @Uid, '01', 1, 1, 'Mostrar margen', '', '', '', '', '', '', 0, 'doc_documento.salida', 'mostrarMargen', 0, @Id_Funcionalidad, 5, 0, 1
END

--Permiso para Traslado
SELECT TOP 1 @Id_FuncionalidadAbuelo = id FROM [gui_funcionalidad] WHERE nombreControl = 'doc_documento_traslado' AND id_tipoFuncionalidad = 3 AND url LIKE '/forms/doc/doc_documento_traslado.aspx%'
SELECT @Id_Funcionalidad = id FROM [gui_funcionalidad] WHERE id_funcionalidad = @Id_FuncionalidadAbuelo AND url = '/forms/doc/itemdocumento.aspx' AND nombreComando = 'itemDocumento' AND id_tipoFuncionalidad = 2
IF NOT EXISTS (SELECT 1 FROM [gui_funcionalidad] WHERE funcionalidad = 'Editar margen' AND esMenu = 0 AND nombreControl = 'doc_documento.traslado' AND nombreComando = 'editarMargen' AND id_funcionalidad = @Id_Funcionalidad AND id_tipoFuncionalidad = 5)
BEGIN
	EXEC ins_gui_funcionalidad @Uid, '01', 1, 1, 'Editar margen', '', '', '', '', '', '', 0, 'doc_documento.traslado', 'editarMargen', 0, @Id_Funcionalidad, 5, 0, 1
END

IF NOT EXISTS (SELECT 1 FROM [gui_funcionalidad] WHERE funcionalidad = 'Mostrar margen' AND esMenu = 0 AND nombreControl = 'doc_documento.traslado' AND nombreComando = 'mostrarMargen' AND id_funcionalidad = @Id_Funcionalidad AND id_tipoFuncionalidad = 5)
BEGIN
	EXEC ins_gui_funcionalidad @Uid, '01', 1, 1, 'Mostrar margen', '', '', '', '', '', '', 0, 'doc_documento.traslado', 'mostrarMargen', 0, @Id_Funcionalidad, 5, 0, 1
END

--Permiso para Alquiler
SELECT TOP 1 @Id_FuncionalidadAbuelo = id FROM [gui_funcionalidad] WHERE nombreControl = 'doc_documento_alquiler' AND id_tipoFuncionalidad = 3 AND url LIKE '/forms/doc/doc_documento_alquiler.aspx%'
SELECT @Id_Funcionalidad = id FROM [gui_funcionalidad] WHERE id_funcionalidad = @Id_FuncionalidadAbuelo AND url = '/forms/doc/itemdocumento.aspx' AND nombreComando = 'itemDocumento' AND id_tipoFuncionalidad = 2
IF NOT EXISTS (SELECT 1 FROM [gui_funcionalidad] WHERE funcionalidad = 'Editar margen' AND esMenu = 0 AND nombreControl = 'doc_documento.alquiler' AND nombreComando = 'editarMargen' AND id_funcionalidad = @Id_Funcionalidad AND id_tipoFuncionalidad = 5)
BEGIN
	EXEC ins_gui_funcionalidad @Uid, '01', 1, 1, 'Editar margen', '', '', '', '', '', '', 0, 'doc_documento.alquiler', 'editarMargen', 0, @Id_Funcionalidad, 5, 0, 1
END

IF NOT EXISTS (SELECT 1 FROM [gui_funcionalidad] WHERE funcionalidad = 'Mostrar margen' AND esMenu = 0 AND nombreControl = 'doc_documento.alquiler' AND nombreComando = 'mostrarMargen' AND id_funcionalidad = @Id_Funcionalidad AND id_tipoFuncionalidad = 5)
BEGIN
	EXEC ins_gui_funcionalidad @Uid, '01', 1, 1, 'Mostrar margen', '', '', '', '', '', '', 0, 'doc_documento.alquiler', 'mostrarMargen', 0, @Id_Funcionalidad, 5, 0, 1
END

--Permiso para Solicitud
SELECT TOP 1 @Id_FuncionalidadAbuelo = id FROM [gui_funcionalidad] WHERE nombreControl = 'doc_documento_solicitud' AND id_tipoFuncionalidad = 3 AND url LIKE '/forms/doc/doc_documento_solicitud.aspx%'
SELECT @Id_Funcionalidad = id FROM [gui_funcionalidad] WHERE id_funcionalidad = @Id_FuncionalidadAbuelo AND url = '/forms/doc/itemdocumento.aspx' AND nombreComando = 'itemDocumento' AND id_tipoFuncionalidad = 2
IF NOT EXISTS (SELECT 1 FROM [gui_funcionalidad] WHERE funcionalidad = 'Editar margen' AND esMenu = 0 AND nombreControl = 'doc_documento.solicitud' AND nombreComando = 'editarMargen' AND id_funcionalidad = @Id_Funcionalidad AND id_tipoFuncionalidad = 5)
BEGIN
	EXEC ins_gui_funcionalidad @Uid, '01', 1, 1, 'Editar margen', '', '', '', '', '', '', 0, 'doc_documento.solicitud', 'editarMargen', 0, @Id_Funcionalidad, 5, 0, 1
END

IF NOT EXISTS (SELECT 1 FROM [gui_funcionalidad] WHERE funcionalidad = 'Mostrar margen' AND esMenu = 0 AND nombreControl = 'doc_documento.solicitud' AND nombreComando = 'mostrarMargen' AND id_funcionalidad = @Id_Funcionalidad AND id_tipoFuncionalidad = 5)
BEGIN
	EXEC ins_gui_funcionalidad @Uid, '01', 1, 1, 'Mostrar margen', '', '', '', '', '', '', 0, 'doc_documento.solicitud', 'mostrarMargen', 0, @Id_Funcionalidad, 5, 0, 1
END